#include "nrf.h"
#include "nrf_gpio.h"
#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>
#include "simple_uart.h"

static void uart_config(void)
{
    //simple_uart_config(rts_pin_number,txd_pin_number,cts_pin_number,rxd_pin_number,hwfc)
    simple_uart_config(9, 6, 7, 8, false);
}

static void uart_open(void)
{
    NRF_UART0->ENABLE = (UART_ENABLE_ENABLE_Enabled << UART_ENABLE_ENABLE_Pos);
}

static void uart_close(void)
{
    NRF_UART0->ENABLE = 0;
}

//support printf()
int fputc(int ch, FILE * p_file)
{
    NRF_UART0->TXD = ch;
    while (NRF_UART0->EVENTS_TXDRDY!=1) {}
    NRF_UART0->EVENTS_TXDRDY=0;
        
    return ch;
}

/**
 * @brief Function for application main entry.
 */
int main(void)
{
    uart_config();
	uart_open();
    printf("\n\r\n\r===== POWER ON RESET =====");
    uart_close();
   
    while(1)
        ;
}


/**  @} */
